Subject: Ticket Assigned - Collection incomplete
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 26 Nov 2021 19:34:25 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Collection incomplete Hi.

I have visited your store and presented my emirates ID for my order no.
9514327517 baby walker.

However due to long que, they have taken my emirates ID and phone number
and mentioned that they will call me once my order is ready for collection.

I have not yet received any call and I have received email and message that
my order has been actually collected by me and it's complete which is
actually not the case.

My item is still with baby shop. I don't know the staff name.
Can you please check and get back to me at earliest as I need to collect my
order tomorrow morning.

I have reported this incident o your customer service call centre as well

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3467144